/*
 * Copyright (C) Cross The Road Electronics.  All rights reserved.
 * License information can be found in CTRE_LICENSE.txt
 * For support and suggestions contact support@ctr-electronics.com or file
 * an issue tracker at https://github.com/CrossTheRoadElec/Phoenix-Releases
 */
#pragma once

#include "ctre/phoenix/StatusCodes.h"

namespace ctre {
namespace phoenix6 {

/**
 * Static class for starting/stopping the signal logger
 */
class SignalLogger
{
    /**
     * \brief Start logging StatusSignals
     *
     * @return Status of logger start
     */
    static ctre::phoenix::StatusCode StartLog();
    /**
     * \brief Start logging StatusSignals, outputting the log
     *        file to the specified path
     *
     * @return Status of logger start
     */
    static ctre::phoenix::StatusCode StartLogWithPath(const char *path);
    /**
     * \brief Stop logging StatusSignals
     *
     * @return Status of logger stop
     */
    static ctre::phoenix::StatusCode StopLog();
};

}
}
